package com.seer.teach.admin.convert;

import com.seer.teach.admin.response.AdminUnitsResp;
import com.seer.teach.teacher.module.entity.UnitsEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminUnitsConvert {

    AdminUnitsConvert INSTANCE = Mappers.getMapper(AdminUnitsConvert.class);

    AdminUnitsResp convert(UnitsEntity entity);

    List<AdminUnitsResp> convertEntity2RespList(List<UnitsEntity> entityList);
}
